<?php




	function ttech_metabox() {

		$prefix = '_ttech_';

		//header metabox
	 	$page_heading_style = new_cmb2_box( array(
		'id'            => $prefix . 'em_header_style_option',
		'title'         => esc_html__( 'Header Style Option', 'ttech' ),
		'object_types'  => array( 'page' ), // Post type
		'priority'   => 'high',
		) );
	

	
		$page_heading_style->add_field( array(
			'name'    => esc_html__('Top Menu Style ','ttech'),
			'id'      => $prefix . 'ttech_header_topa',
			'type'    => 'radio_inline',
			'options' => array(
			'1' => esc_html__( 'Show Top Menu This Page', 'ttech' ),
			'2'   => esc_html__( 'Hide Top Menu This Page', 'ttech' ),
			),
			'default' =>'2',
		) );
		$page_heading_style->add_field( array(
			'name'    => esc_html__('Header Style','ttech'),
			'id'      => $prefix . 'ttech_header_style',
			'show_option_none' => true,
			'desc'   => esc_html__( 'Note: When you select 1-1,3,4,6 style menu, that time you need to set top bar menu, otherwise you can not find our real menu style.', 'ttech' ), 			
			'type'    => 'select',
			'options' => array(
				'1' => esc_html__( '1 Header Main Menu', 'ttech' ),				
				'7' => esc_html__( '2 Header Main Menu with Sticky', 'ttech' ),				
				'2' => esc_html__( '3 Header Transparent Menu', 'ttech' ),
				'3' => esc_html__( '4 Header Transparent With Sticky Menu', 'ttech' ),		
				'4' => esc_html__( '5 Header One Page Menu', 'ttech' ),
				'5' => esc_html__( '6 Header One Page Transparent Menu', 'ttech' ),				
				'6' => esc_html__( '7 Header One Page Transparent With Sticky  Menu', 'ttech' ),
				'8' => esc_html__( '8 Header Menu With Search', 'ttech' ),
				'10' => esc_html__( '9 Header Menu With Button', 'ttech' ),
				'9' => esc_html__( '10 Header Transparent With Search With Sidebar', 'ttech' ),
				'16' => esc_html__( '11 Header Transparent With Button', 'ttech' ),					
				'14' => esc_html__( '12 Header One Page With Search Menu', 'ttech' ),								
				'17' => esc_html__( '13 Header One Page Transparent With Search Menu', 'ttech' ),			
				'18' => esc_html__( '14 Header One Page Transparent With Button', 'ttech' ),					
				'15' => esc_html__( '15 Full Width Transparent Menu With Button & Search', 'ttech' ),					
			),
			'default' =>'1',
		) );	
		
		  //page metabox
		  $page_breadcrumb = new_cmb2_box( array(
		   'id'            => $prefix . 'pageid1',
		   'title'         => esc_html__( 'Breadcumb Option', 'ttech' ),
		   'object_types'  => array( 'post','page','em_event','em_portfolio' ), // Post type
		   'priority'   => 'high',
		  ) );
		  
		  $page_breadcrumb->add_field( array(
		   'name'    => esc_html__('Page Title','ttech'),
		   'id'      => $prefix . 'ptitle',
		   'type'    => 'radio_inline',
		   'options' => array(
			'ptitles' => esc_html__( 'Hide Title', 'ttech' ),
			'ptitleh'   => esc_html__( 'Show Title', 'ttech' ),
		   ),
		   'default' =>'ptitleh',
		  ) );   
		  
		  
		$page_breadcrumb->add_field( array(
			'name'    => esc_html__('Breadcrumb','ttech'),
			'id'      => $prefix . 'breadcrumbs',
			'type'    => 'radio_inline',
			'options' => array(
			'0' => esc_html__( 'Show breadcrumb', 'ttech' ),
			'1'   => esc_html__( 'Hide breadcrumb', 'ttech' ),
			),
			'default' =>0,
		) );
		$page_breadcrumb->add_field( array(
			'name'    => esc_html__('Breadcrumb Title','ttech'),
			'id'      => $prefix . 'btitle',
			'type'    => 'radio_inline',
			'options' => array(
			'btitles' => esc_html__( 'Show Title', 'ttech' ),
			'btitleh'   => esc_html__( 'Hide Title', 'ttech' ),
			),
			'default' =>'btitleh',
		) );    
		$page_breadcrumb->add_field(array(
			'name' => esc_html__( 'Page Breadcrumb Image', 'ttech' ),
			'id'   => $prefix .'pageimagess',
			'desc'       => esc_html__( 'insert image here', 'ttech' ),  
			'type' => 'file',
		) );  
		$page_breadcrumb->add_field( array(
			'name'             => esc_html__('Text Align','ttech'),
			'desc'             => esc_html__('Select an option','ttech'),
			'id'   => $prefix .'page_text_align',
			'type'             => 'select',
			'show_option_none' => true,
			'default'          => 'text-center',
			'options'          => array(
			'text-left' => esc_html__( 'Align Left', 'ttech' ),
			'text-center'   => esc_html__( 'Align Middle', 'ttech' ),
			'text-right'     => esc_html__( 'Alige Right', 'ttech' ),
			),
		) );
		$page_breadcrumb->add_field( array(
			'name'             => esc_html__('Text Transform','ttech'),
			'desc'             => esc_html__('Select an option','ttech'),
			'id'   => $prefix .'page_text_transform',
			'type'             => 'select',
			'show_option_none' => true,
			'default'          => 'ccase',
			'options'          => array(
			'lcase' => esc_html__( 'Transform lowercase', 'ttech' ),
			'ucase'   => esc_html__( 'Transform uppercase', 'ttech' ),
			'ccase'     => esc_html__( 'Transform capitalize', 'ttech' ),
			),
		) );	
		
							
		//Case Study
		$casestudy = new_cmb2_box( array(
			'id'            => $prefix . 'em_case_study',
			'title'         => esc_html__( 'Case Study Option', 'ttech' ),
			'object_types'  => array( 'em_case_study' ), // Post type
			'priority'   => 'high',
		) );
		$casestudy->add_field( array(
			'name'       => esc_html__( 'Case Study Description', 'ttech' ),
			'desc'       => esc_html__( 'Description', 'ttech' ),
			'id'         => $prefix . 'casedesc',
			'type'       => 'wysiwyg',
		) );	
							
				
				
			//===================================
			//Portfolio Metaboxes
			//===================================  

			$portfolio = new_cmb2_box( array(
				'id'            => $prefix . 'portfolio',
				'title'         => esc_html__( 'Portfolio Option', 'ttech' ),
				'object_types'  => array( 'em_portfolio', ), // Post type
				'priority'   => 'high',
			) );		
										   			   
			$portfolio->add_field( array(
				'name'       => esc_html__( 'Multiple Gellary Image', 'ttech' ),
				'desc'       => esc_html__( 'insert multiple gellary image here for single page', 'ttech' ),
				'id'         => $prefix . 'pgellaryu',
				'type'       => 'file_list',
			) );
			$portfolio->add_field( array(
				'name'    => 'Desc Left Text',
				'id'      => 'desc_left_text',
				'type'    => 'textarea',
			) );
			$portfolio->add_field( array(
				'name'    => 'Desc Right Text',
				'id'      => 'desc_right_text',
				'type'    => 'textarea',
			) );
			$portfolio->add_field( array(
				'name'    => 'Left Single Image',
				'id'      => 'single_img',
				'type'    => 'file',
			) );
			$portfolio->add_field( array(
				'name'    => 'Right Heading',
				'id'      => 'right_heading',
				'type'    => 'text',
			) );			
			$portfolio->add_field( array(
				'name'    => 'Desc Right Text',
				'id'      => 'desc_right_text_two',
				'type'    => 'textarea',
			) );			
			$portfolio->add_field( array(
				'name'    => 'Icon List',
				'id'      => 'icon_list',
				'type'    => 'wysiwyg',
			) );


			
		//===================================
		//Pricing table metabox
		//===================================
		$pricing = new_cmb2_box( array(
			'id'            => $prefix . 'pricing',
			'title'         => esc_html__( 'Price Option', 'ttech' ),
			'object_types'  => array( 'em_pricing', ), // Post type
			'priority'   => 'high',
		) );
				$pricing->add_field( array(
					'name'       => esc_html__( 'Price Currency', 'ttech' ),
					'desc'       => esc_html__( 'insert Currency here e.g $', 'ttech' ),
					'id'         => $prefix . 'currency',
					'type'       => 'text',
				) );	
				$pricing->add_field( array(
					'name'       => esc_html__( 'Price Amount', 'ttech' ),
					'desc'       => esc_html__( 'insert Amount here', 'ttech' ),
					'id'         => $prefix . 'price_amount',
					'type'       => 'text',
				) );	
				$pricing->add_field( array(
					'name'       => esc_html__( 'Price Delay', 'ttech' ),
					'desc'       => esc_html__( 'insert Year, Month, Week or Day here', 'ttech' ),
					'id'         => $prefix . 'day',
					'type'       => 'text',
				) );						
				$pricing->add_field( array(
					'name'       => esc_html__( 'pricing content', 'ttech' ),
					'desc'       => esc_html__( 'insert pricing Item', 'ttech' ),
					'id'         => $prefix . 'pricing_item_loop',
					'type'       => 'text',
					'repeatable'      => true,
				) );
				$pricing->add_field( array(
					'name' => esc_html__( 'Button Text', 'ttech' ),
					'desc' => esc_html__( 'Insert Text Here', 'ttech' ),
					'id'   => $prefix . 'button_text',
					'type' => 'text',
				) );					
				$pricing->add_field( array(
					'name' => esc_html__( 'Button Link', 'ttech' ),
					'desc' => esc_html__( 'Insert register Link', 'ttech' ),
					'id'   => $prefix . 'button_link',
					'type' => 'text_url',
				) );
				$pricing->add_field( array(
					'name' => esc_html__( 'Active Class', 'ttech' ),
					'desc' => esc_html__( 'Add Active Class here "active"', 'ttech' ),
					'id'   => $prefix . 'active',
					'type' => 'text',
				) );

				
				
		//post tab metabox
			$emtab = new_cmb2_box( array(
				'id'            => $prefix . 'em_tab',
				'title'         => esc_html__( 'Tab Option', 'ttech' ),
				'object_types'  => array( 'em_tab' ), // Post type
				'priority'   => 'high',
			) );

				$emtab->add_field( array(
					'name'       => esc_html__( 'Tab Menu Name', 'ttech' ),
					'desc'       => esc_html__( 'insert tab menu here', 'ttech' ),
					'id'         => $prefix . 'em_tab_menu',
					'type'       => 'text',
				) );					
									
				$emtab->add_field(array(
					'name' => esc_html__( 'Tab Menu Image', 'ttech' ),
					'id'   => $prefix .'em_tab_image',
					'desc'       => esc_html__( 'insert image here', 'ttech' ),  
					'type' => 'file',
				) );
				$emtab->add_field( array(
					'name'       => esc_html__( 'Tab Menu Active', 'ttech' ),
					'desc'       => esc_html__( 'must be set "active in" class into one post from all post, for active tab item', 'ttech' ),
					'id'         => $prefix . 'em_tab_active',
					'type'       => 'text',
				) );
				$emtab->add_field( array(
					'name'       => esc_html__( 'Tab Icon Name', 'ttech' ),
					'desc'       => esc_html__( 'Type Your favorite Font awesome Icon name', 'ttech' ),
					'id'         => $prefix . 'em_tab_icon',
					'type'       => 'text',
				) );
				
					
				
				
								
			//slider table metabox
				$slider = new_cmb2_box( array(
					'id'            => $prefix . 'ttech_slider',
					'title'         => esc_html__( 'Slider Option', 'ttech' ),
					'object_types'  => array( 'em_slider', ), // Post type
					'priority'   => 'high',
				) );
	
	
			$slider->add_field( array(
				'name'       => esc_html__( 'Title', 'ttech' ),
				'desc'       => esc_html__( 'insert title here. for highlight text use <span> ex-<span>Design</span>', 'ttech' ),
				'id'         => $prefix . 'em_slide_title',
				'type'       => 'textarea_small',
			) );

			$slider->add_field( array(
				'name'    => esc_html__('Title Animate','ttech'),
				'id'      => $prefix . 'em_aimate_title',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'bounceIn' => esc_html__( 'bounceIn', 'ttech' ),				
					'bounceInDown' => esc_html__( 'bounceInDown', 'ttech' ),				
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'ttech' ),				
					'bounceInRight' => esc_html__( 'bounceInRight', 'ttech' ),				
					'bounceInUp' => esc_html__( 'bounceInUp', 'ttech' ),				
					'fadeIn' => esc_html__( 'fadeIn', 'ttech' ),				
					'fadeInDown' => esc_html__( 'fadeInDown', 'ttech' ),				
					'fadeInDownBig' => esc_html__( 'fadeInDownBig', 'ttech' ),				
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'ttech' ),				
					'fadeInLeftBig' => esc_html__( 'fadeInLeftBig', 'ttech' ),				
					'fadeInRight' => esc_html__( 'fadeInRight', 'ttech' ),				
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'ttech' ),				
					'fadeInUp' => esc_html__( 'fadeInUp', 'ttech' ),				
					'fadeInUpBig' => esc_html__( 'fadeInUpBig', 'ttech' ),				
					'rotateIn' => esc_html__( 'rotateIn', 'ttech' ),				
					'rotateInDownLeft' => esc_html__( 'rotateInDownLeft', 'ttech' ),				
					'rotateInDownRight' => esc_html__( 'rotateInDownRight', 'ttech' ),				
					'rotateInUpLeft' => esc_html__( 'rotateInUpLeft', 'ttech' ),				
					'rotateInUpRight' => esc_html__( 'rotateInUpRight', 'ttech' ),				
					'rollIn' => esc_html__( 'rollIn', 'ttech' ),				
					'zoomIn' => esc_html__( 'zoomIn', 'ttech' ),				
					'zoomInDown' => esc_html__( 'zoomInDown', 'ttech' ),				
					'zoomInLeft' => esc_html__( 'zoomInLeft', 'ttech' ),				
					'zoomInRight' => esc_html__( 'zoomInRight', 'ttech' ),				
					'zoomInUp' => esc_html__( 'zoomInUp', 'ttech' ),				
					'slideInDown' => esc_html__( 'slideInDown', 'ttech' ),				
					'slideInLeft' => esc_html__( 'slideInLeft', 'ttech' ),				
					'slideInRight' => esc_html__( 'slideInRight', 'ttech' ),				
					'slideInUp' => esc_html__( 'slideInUp', 'ttech' ),				
				),
				'default' =>'slideInRight',
			) );
			

			$slider->add_field( array(
				'name'    => esc_html__('Title Animate Duration','ttech'),
				'id'      => $prefix . 'em_durations_title',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'2',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Title Animate Delay','ttech'),
				'id'      => $prefix . 'em_dealy_title',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0' => esc_html__( 'point 0s', 'ttech' ),							
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'0',
			) );		

		
		
		
			
			$slider->add_field( array(
				'name'       => esc_html__( 'Sub Title', 'ttech' ),
				'desc'       => esc_html__( 'insert sub-title here. for highlight text use <span> ex-<span>website</span>', 'ttech' ),
				'id'         => $prefix . 'em_slide_subtitle',
				'type'       => 'textarea_small',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Sub Title Animate','ttech'),
				'id'      => $prefix . 'em_aimate_subtitle',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'bounceIn' => esc_html__( 'bounceIn', 'ttech' ),				
					'bounceInDown' => esc_html__( 'bounceInDown', 'ttech' ),				
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'ttech' ),				
					'bounceInRight' => esc_html__( 'bounceInRight', 'ttech' ),				
					'bounceInUp' => esc_html__( 'bounceInUp', 'ttech' ),				
					'fadeIn' => esc_html__( 'fadeIn', 'ttech' ),				
					'fadeInDown' => esc_html__( 'fadeInDown', 'ttech' ),				
					'fadeInDownBig' => esc_html__( 'fadeInDownBig', 'ttech' ),				
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'ttech' ),				
					'fadeInLeftBig' => esc_html__( 'fadeInLeftBig', 'ttech' ),				
					'fadeInRight' => esc_html__( 'fadeInRight', 'ttech' ),				
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'ttech' ),				
					'fadeInUp' => esc_html__( 'fadeInUp', 'ttech' ),				
					'fadeInUpBig' => esc_html__( 'fadeInUpBig', 'ttech' ),				
					'rotateIn' => esc_html__( 'rotateIn', 'ttech' ),				
					'rotateInDownLeft' => esc_html__( 'rotateInDownLeft', 'ttech' ),				
					'rotateInDownRight' => esc_html__( 'rotateInDownRight', 'ttech' ),				
					'rotateInUpLeft' => esc_html__( 'rotateInUpLeft', 'ttech' ),				
					'rotateInUpRight' => esc_html__( 'rotateInUpRight', 'ttech' ),				
					'rollIn' => esc_html__( 'rollIn', 'ttech' ),				
					'zoomIn' => esc_html__( 'zoomIn', 'ttech' ),				
					'zoomInDown' => esc_html__( 'zoomInDown', 'ttech' ),				
					'zoomInLeft' => esc_html__( 'zoomInLeft', 'ttech' ),				
					'zoomInRight' => esc_html__( 'zoomInRight', 'ttech' ),				
					'zoomInUp' => esc_html__( 'zoomInUp', 'ttech' ),				
					'slideInDown' => esc_html__( 'slideInDown', 'ttech' ),				
					'slideInLeft' => esc_html__( 'slideInLeft', 'ttech' ),				
					'slideInRight' => esc_html__( 'slideInRight', 'ttech' ),				
					'slideInUp' => esc_html__( 'slideInUp', 'ttech' ),				
				),
				'default' =>'slideInRight',
			) );
			

			$slider->add_field( array(
				'name'    => esc_html__('Sub Title Animate Duration','ttech'),
				'id'      => $prefix . 'em_durations_subtitle',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'2',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Sub Title Animate Delay','ttech'),
				'id'      => $prefix . 'em_dealy_subtitle',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0' => esc_html__( 'point 0s', 'ttech' ),							
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'0',
			) );				
			$slider->add_field( array(
				'name'       => esc_html__( 'Content', 'ttech' ),
				'desc'       => esc_html__( 'insert content here', 'ttech' ),
				'id'         => $prefix . 'em_slide_textarea',
				'type'       => 'textarea',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Content Animate','ttech'),
				'id'      => $prefix . 'em_aimate_content',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'bounceIn' => esc_html__( 'bounceIn', 'ttech' ),				
					'bounceInDown' => esc_html__( 'bounceInDown', 'ttech' ),				
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'ttech' ),				
					'bounceInRight' => esc_html__( 'bounceInRight', 'ttech' ),				
					'bounceInUp' => esc_html__( 'bounceInUp', 'ttech' ),				
					'fadeIn' => esc_html__( 'fadeIn', 'ttech' ),				
					'fadeInDown' => esc_html__( 'fadeInDown', 'ttech' ),				
					'fadeInDownBig' => esc_html__( 'fadeInDownBig', 'ttech' ),				
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'ttech' ),				
					'fadeInLeftBig' => esc_html__( 'fadeInLeftBig', 'ttech' ),				
					'fadeInRight' => esc_html__( 'fadeInRight', 'ttech' ),				
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'ttech' ),				
					'fadeInUp' => esc_html__( 'fadeInUp', 'ttech' ),				
					'fadeInUpBig' => esc_html__( 'fadeInUpBig', 'ttech' ),				
					'rotateIn' => esc_html__( 'rotateIn', 'ttech' ),				
					'rotateInDownLeft' => esc_html__( 'rotateInDownLeft', 'ttech' ),				
					'rotateInDownRight' => esc_html__( 'rotateInDownRight', 'ttech' ),				
					'rotateInUpLeft' => esc_html__( 'rotateInUpLeft', 'ttech' ),				
					'rotateInUpRight' => esc_html__( 'rotateInUpRight', 'ttech' ),				
					'rollIn' => esc_html__( 'rollIn', 'ttech' ),				
					'zoomIn' => esc_html__( 'zoomIn', 'ttech' ),				
					'zoomInDown' => esc_html__( 'zoomInDown', 'ttech' ),				
					'zoomInLeft' => esc_html__( 'zoomInLeft', 'ttech' ),				
					'zoomInRight' => esc_html__( 'zoomInRight', 'ttech' ),				
					'zoomInUp' => esc_html__( 'zoomInUp', 'ttech' ),				
					'slideInDown' => esc_html__( 'slideInDown', 'ttech' ),				
					'slideInLeft' => esc_html__( 'slideInLeft', 'ttech' ),				
					'slideInRight' => esc_html__( 'slideInRight', 'ttech' ),				
					'slideInUp' => esc_html__( 'slideInUp', 'ttech' ),				
				),
				'default' =>'slideInRight',
			) );
			

			$slider->add_field( array(
				'name'    => esc_html__('Content Animate Duration','ttech'),
				'id'      => $prefix . 'em_durations_content',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'3',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Content Animate Delay','ttech'),
				'id'      => $prefix . 'em_dealy_content',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0' => esc_html__( 'point 0s', 'ttech' ),							
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'0',
			) );				
			
			$slider->add_field( array(
				'name'       => esc_html__( 'Button Text 1', 'ttech' ),
				'desc'       => esc_html__( 'insert button text here', 'ttech' ),
				'id'         => $prefix . 'em_slide_btn1',
				'type'       => 'text',
			) );
			$slider->add_field( array(
				'name'       => esc_html__( 'Slide Image', 'ttech' ),
				'desc'       => esc_html__( 'insert single slide image here', 'ttech' ),
				'id'         => $prefix . 'em_slide_img',
				'type'       => 'file',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Image Animate','ttech'),
				'id'      => $prefix . 'em_aimate_image',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'bounceIn' => esc_html__( 'bounceIn', 'ttech' ),				
					'bounceInDown' => esc_html__( 'bounceInDown', 'ttech' ),				
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'ttech' ),				
					'bounceInRight' => esc_html__( 'bounceInRight', 'ttech' ),				
					'bounceInUp' => esc_html__( 'bounceInUp', 'ttech' ),				
					'fadeIn' => esc_html__( 'fadeIn', 'ttech' ),				
					'fadeInDown' => esc_html__( 'fadeInDown', 'ttech' ),				
					'fadeInDownBig' => esc_html__( 'fadeInDownBig', 'ttech' ),				
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'ttech' ),				
					'fadeInLeftBig' => esc_html__( 'fadeInLeftBig', 'ttech' ),				
					'fadeInRight' => esc_html__( 'fadeInRight', 'ttech' ),				
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'ttech' ),				
					'fadeInUp' => esc_html__( 'fadeInUp', 'ttech' ),				
					'fadeInUpBig' => esc_html__( 'fadeInUpBig', 'ttech' ),				
					'rotateIn' => esc_html__( 'rotateIn', 'ttech' ),				
					'rotateInDownLeft' => esc_html__( 'rotateInDownLeft', 'ttech' ),				
					'rotateInDownRight' => esc_html__( 'rotateInDownRight', 'ttech' ),				
					'rotateInUpLeft' => esc_html__( 'rotateInUpLeft', 'ttech' ),				
					'rotateInUpRight' => esc_html__( 'rotateInUpRight', 'ttech' ),				
					'rollIn' => esc_html__( 'rollIn', 'ttech' ),				
					'zoomIn' => esc_html__( 'zoomIn', 'ttech' ),				
					'zoomInDown' => esc_html__( 'zoomInDown', 'ttech' ),				
					'zoomInLeft' => esc_html__( 'zoomInLeft', 'ttech' ),				
					'zoomInRight' => esc_html__( 'zoomInRight', 'ttech' ),				
					'zoomInUp' => esc_html__( 'zoomInUp', 'ttech' ),				
					'slideInDown' => esc_html__( 'slideInDown', 'ttech' ),				
					'slideInLeft' => esc_html__( 'slideInLeft', 'ttech' ),				
					'slideInRight' => esc_html__( 'slideInRight', 'ttech' ),				
					'slideInUp' => esc_html__( 'slideInUp', 'ttech' ),				
				),
				'default' =>'slideInRight',
			) );
			

			$slider->add_field( array(
				'name'    => esc_html__('Image Animate Duration','ttech'),
				'id'      => $prefix . 'em_durations_image',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'2',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Image Animate Delay','ttech'),
				'id'      => $prefix . 'em_dealy_image',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0' => esc_html__( 'point 0s', 'ttech' ),							
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'0',
			) );		

			
			
			$slider->add_field( array(
				'name'       => esc_html__( 'Button url 1', 'ttech' ),
				'desc'       => esc_html__( 'insert button text url here', 'ttech' ),
				'id'         => $prefix . 'em_slide_btn1utl',
				'type'       => 'text_url',
			) );			
			$slider->add_field( array(
				'name'       => esc_html__( 'Button Text 2', 'ttech' ),
				'desc'       => esc_html__( 'insert button text here', 'ttech' ),
				'id'         => $prefix . 'em_slide_btn2',
				'type'       => 'text',
			) );
			$slider->add_field( array(
				'name'       => esc_html__( 'Button url 2', 'ttech' ),
				'desc'       => esc_html__( 'insert button text url here', 'ttech' ),
				'id'         => $prefix . 'em_slide_btn2url',
				'type'       => 'text_url',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Button Animate','ttech'),
				'id'      => $prefix . 'em_aimate_btn',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'bounceIn' => esc_html__( 'bounceIn', 'ttech' ),				
					'bounceInDown' => esc_html__( 'bounceInDown', 'ttech' ),				
					'bounceInLeft' => esc_html__( 'bounceInLeft', 'ttech' ),				
					'bounceInRight' => esc_html__( 'bounceInRight', 'ttech' ),				
					'bounceInUp' => esc_html__( 'bounceInUp', 'ttech' ),				
					'fadeIn' => esc_html__( 'fadeIn', 'ttech' ),				
					'fadeInDown' => esc_html__( 'fadeInDown', 'ttech' ),				
					'fadeInDownBig' => esc_html__( 'fadeInDownBig', 'ttech' ),				
					'fadeInLeft' => esc_html__( 'fadeInLeft', 'ttech' ),				
					'fadeInLeftBig' => esc_html__( 'fadeInLeftBig', 'ttech' ),				
					'fadeInRight' => esc_html__( 'fadeInRight', 'ttech' ),				
					'fadeInRightBig' => esc_html__( 'fadeInRightBig', 'ttech' ),				
					'fadeInUp' => esc_html__( 'fadeInUp', 'ttech' ),				
					'fadeInUpBig' => esc_html__( 'fadeInUpBig', 'ttech' ),				
					'rotateIn' => esc_html__( 'rotateIn', 'ttech' ),				
					'rotateInDownLeft' => esc_html__( 'rotateInDownLeft', 'ttech' ),				
					'rotateInDownRight' => esc_html__( 'rotateInDownRight', 'ttech' ),				
					'rotateInUpLeft' => esc_html__( 'rotateInUpLeft', 'ttech' ),				
					'rotateInUpRight' => esc_html__( 'rotateInUpRight', 'ttech' ),				
					'rollIn' => esc_html__( 'rollIn', 'ttech' ),				
					'zoomIn' => esc_html__( 'zoomIn', 'ttech' ),				
					'zoomInDown' => esc_html__( 'zoomInDown', 'ttech' ),				
					'zoomInLeft' => esc_html__( 'zoomInLeft', 'ttech' ),				
					'zoomInRight' => esc_html__( 'zoomInRight', 'ttech' ),				
					'zoomInUp' => esc_html__( 'zoomInUp', 'ttech' ),				
					'slideInDown' => esc_html__( 'slideInDown', 'ttech' ),				
					'slideInLeft' => esc_html__( 'slideInLeft', 'ttech' ),				
					'slideInRight' => esc_html__( 'slideInRight', 'ttech' ),				
					'slideInUp' => esc_html__( 'slideInUp', 'ttech' ),				
				),
				'default' =>'bounceInUp',
			) );
			

			$slider->add_field( array(
				'name'    => esc_html__('Button Animate Duration','ttech'),
				'id'      => $prefix . 'em_durations_btn',
				'show_option_none' => false,					
				'type'    => 'select',
				'options' => array(
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'3',
			) );
			$slider->add_field( array(
				'name'    => esc_html__('Button Animate Delay','ttech'),
				'id'      => $prefix . 'em_dealy_btn',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'0' => esc_html__( 'point 0s', 'ttech' ),							
					'0.1' => esc_html__( 'point 1s', 'ttech' ),							
					'0.2' => esc_html__( 'point 2s', 'ttech' ),							
					'0.3' => esc_html__( 'point 3s', 'ttech' ),							
					'0.4' => esc_html__( 'point 4s', 'ttech' ),							
					'0.5' => esc_html__( 'point 5s', 'ttech' ),							
					'0.6' => esc_html__( 'point 6s', 'ttech' ),							
					'0.7' => esc_html__( 'point 7s', 'ttech' ),							
					'0.8' => esc_html__( 'point 8s', 'ttech' ),							
					'0.9' => esc_html__( 'point 9s', 'ttech' ),							
					'1.2' => esc_html__( '1 point 2s', 'ttech' ),							
					'1.3' => esc_html__( '1 point 3s', 'ttech' ),							
					'1.4' => esc_html__( '1 point 4s', 'ttech' ),							
					'1.5' => esc_html__( '1 point 5s', 'ttech' ),							
					'1.8' => esc_html__( '1 point 8s', 'ttech' ),							
					'2' => esc_html__( '2s', 'ttech' ),							
					'2.2' => esc_html__( '2 point 2s', 'ttech' ),							
					'2.3' => esc_html__( '2 point 5s', 'ttech' ),							
					'3' => esc_html__( '3s', 'ttech' ),							
				),
				'default' =>'1',
			) );				
			$slider->add_field( array(
				'name'    => esc_html__('Text Alignment Style','ttech'),
				'id'      => $prefix . 'em_slider_posi',
				'show_option_none' => true,					
				'type'    => 'select',
				'options' => array(
					'' => esc_html__( 'Select alignment', 'ttech' ),
					'text-left' => esc_html__( 'Left Alignment', 'ttech' ),
					'text-center' => esc_html__( 'Center Alignment', 'ttech' ),
					'text-right' => esc_html__( 'Right Alignment', 'ttech' ),
				),
				'default' =>'text-center',
			) );				
			$slider->add_field( array(
				'name'       => esc_html__( 'More Sliders Option, Please see slider widget area', 'ttech' ),
				'id'         => $prefix . 'title_heading_line',
				'type'       => 'title',
			) );
			
	}
	add_action( 'cmb2_admin_init', 'ttech_metabox' );