<?php




	// Brand Sponsor Post Type
	function ttech_brand_post_type() 
	{
		$labels = array(
			'name'               => _x( 'Brand', 'post type general name', 'ttech' ),
			'singular_name'      => _x( 'Brand', 'post type singular name', 'ttech' ),
			'menu_name'          => _x( 'Brand', 'admin menu', 'ttech' ),
			'name_admin_bar'     => _x( 'Brand', 'add new on admin bar', 'ttech' ),
			'add_new'            => _x( 'Add New', 'Brand', 'ttech' ),
			'add_new_item'       => __( 'Add New Brand', 'ttech' ),
			'new_item'           => __( 'New Brand', 'ttech' ),
			'edit_item'          => __( 'Edit Brand', 'ttech' ),
			'view_item'          => __( 'View Brand', 'ttech' ),
			'all_items'          => __( 'All Brand', 'ttech' ),
			'search_items'       => __( 'Search Brand', 'ttech' ),
			'parent_item_colon'  => __( 'Parent Brand:', 'ttech' ),
			'not_found'          => __( 'No Brand found.', 'ttech' ),
			'not_found_in_trash' => __( 'No Brand found in Trash.', 'ttech' )
		);
		
		$args = array(
			'labels'             => $labels,
			'public'             => true,
			'menu_icon'          =>'dashicons-format-status',		
			'exclude_from_search'=> true,
			'show_ui'            => true,
			'show_in_menu'       => true,
			'query_var'          => true,
			'rewrite'            => array( 'slug' => 'brand' ),
			'capability_type'    => 'post',
			'has_archive'        => true,
			'hierarchical'       => false,
			'menu_position'      => null,
			'supports'           => array('title','editor', 'thumbnail')
		);
		
		register_post_type( 'brand' , $args );
	}
	add_action( 'init', 'ttech_brand_post_type' );