<?php
/**
 * Adding custom icon to icon control in Elementor
 */
function restly_icons_library( $tabs = array() ) {

    
    $flaticons = array(
        'map',
        'mail',
        'call-answer',
        'chat',
        'left-arrow',
        'right-arrow',
        'back',
        'next',
        'play-button',
        'play-button-1',
        'upload',
        'back-1',
        'responsive',
        'add',
        'play-button-2',
        'android',
        'fire',
        'layers',
        'computer',
        'chip',
        'cogwheels',
        'support',
        'web',
        'headset',
        'facebook',
        'drop-of-liquid',
        'drop',
        'placeholder',
        'shield',
        'fountain-pen',
        'settings',
        'phone-call',
        'call',
        'settings-1',
        'placeholder-1',
        'pen',
        'analytics',
        'monitor',
        'email',
        'speech-bubble',
        'suitcase',
        'communications',
        'cash',
        'twitter',
        'twitter-2',
        'instagram-logo',
        'instagram-1',
        'whatsapp-1',
        'linkedin-2',
        'twitter-1',
        'facebook-3',
        'whatsapp-2',
        'xiaomi',
        'odnoklassniki',
        'pinterest',
        'pinterest-1',
        'wifi',
        'light-bulb',
        'project-management',
        'monitor-1',
        'camera',
        'user',
        'advertising',
        'select',
        'snowflake',
        'snowflake-1',
        'travel-agency',
        'bauble',
        'temporary-agency',
        'star',
        'snow-globe',
        'christmas-tree',
        'gift',
        'mortgage',
        'monitoring',
        'network-1',
        'neural',
        'networking',
        'computing',
        'computing-1',
        'microchip',
        'social-care',
        'help',
        'begging',
        'customer-service',
        'support-2',
        'support-3',
        'customer-service-1',
        'customer-support',
        'headphones',
        'social-care-1',
        'care',
        'user-1',
        'phone',
        'search',
        'facebook-4',
        'pin',
        'user-2',
        'internet',
        'user-3',
        'chat-1',
        'team',
        'connection',
        'bar-chart',
        'money',
        'file',
        'linkedin-3',
        'pinterest-2',
        'google-browser',
        'gmail-1',
        'gmail-3',
        'vimeo',
        'vimeo-2',
        'skype',
        'skype-1',
        'skype-2',
        'skype-3',
        'google-plus-logo',
        'like',
        'clock',
        'loupe',
        'money-1',
        'hand-shake',
        'team-1',
        'money-2',
        'man',
        'value',
        'share',
        'time',
        'school',
        'chart',
        'data',
        'photo',
        'internet-1',
        'money-3',
        'payment',
        'pin-1',
        'time-1',
        'idea',
        'download',
        'growth',
        'multimedia',
        'network-2',
        'next-1',
        'origami',
        'share-1',
        'clock-1',
        'refresh',
        'avatar',
        'support-4',
        'cursor',
        'brain',
        'laptop',
        'arrow',
        'mortarboard',
        'avatar-1',
        'chat-2',
        'question',
        'test',
        'doctor',
        'support-5',
        'map-1',
        'eye',
        'money-4',
        'world',
        'school-1',
        'chat-3',
        'idea-1',
        'support-6',
        'diamond',
        'time-2',
        'bag',
        'contract',
        'report',
        'folder',
        'truck',
        'document',
        'plane',
        'time-3',
        'trash',
        'pin-2',
        'think',
        'idea-2',
        'download-1',
        'bell',
        'lock',
        'upload-1',
        'cinema',
        'goal',
        'work',
        'design',
        'search-1',
        'food',
        'alert',
        'brain-1',
        'book',
        'time-4',
        'shield-1',
        'time-5',
        'man-1',
        'brain-2',
        'water',
        'content',
        'data-1',
        'like-1',
        'time-6',
        'sign',
        'book-1',
        'adjust',
        'menu',
        'calendar',
        'eye-1',
        'clock-2',
        'share-2',
        'fingerprint',
        'signal',
        'lock-1',
        'water-1',
        'code',
        'repeat',
        'map-2',
        'message',
        'network-3',
        'more',
        'random',
        'sign-1',
        'mail-1',
        'adjust-1',
    );
    $tabs['restly-flaticon'] = array(
        'name'          => 'restly-flaticon',
        'label'         => esc_html__( 'techtime Flaticon', 'ttech' ),
        'labelIcon'     => 'eicon-nerd-chuckle',
        'prefix'        => 'flaticon-',
        'displayPrefix' => 'flaticon',
        'url'           => plugin_dir_url( __FILE__ ) . 'assets/css/flaticon.css',
        'icons'         => $flaticons,
        'ver'           => '1.0.0',
    );    
    return $tabs;
}

add_filter( 'elementor/icons_manager/additional_tabs', 'restly_icons_library' );