<?php
/**
 * Plugin Name: techtime Elementor Extension
 * Description: Custom Elementor extension.
 * Plugin URI:  https://elementor.com/
 * Version:     1.0.0
 * Author:      TechTime
 * Author URI:  https://www.templatemonster.com/authors/techtime/
 * Text Domain: techtime-elementor-extension
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Require once the Composer Autoload
if(file_exists(dirname(__FILE__).'/vendor/autoload.php')){
	require_once dirname(__FILE__).'/vendor/autoload.php';
}

define( 'techtime_DIR_PATH', plugin_dir_path( __FILE__ ) );

require techtime_DIR_PATH . 'base.php';

require techtime_DIR_PATH . 'post-type/post-type.php';

require techtime_DIR_PATH . 'inc/icons.php';

require techtime_DIR_PATH . 'inc/metabox/meta-loader.php';


require_once(techtime_DIR_PATH. 'inc/widgets/em_about.php');
require_once(techtime_DIR_PATH. 'inc/widgets/em_recent_post.php');
require_once(techtime_DIR_PATH. 'inc/widgets/em_footer_portfolio.php');




